Un utente ha chiesto informazioni su Fixing WordPress di Wordpress

Ottenere “JSON non è una risposta JSON valida” durante l’incorporamento di immagini

Un utente ha chiesto 👇

Quando provo ad aggiungere immagini alle pagine del mio sito ottengo il messaggio “Pubblicazione non riuscita. Messaggio di errore: la risposta non è una risposta JSON valida. ‘

Ecco uno screenshot:
gif

WordPress 5.3.2 che esegue il tema Roseta Child.
plugin attivi: configurazione del tema figlio, libreria di blocchi e modello Gutenberg con Otter, protezione con password WordPress Lite, rimozione del credito nel piè di pagina

Questo argomento è stato modificato 1 anno, 2 mesi fa da. Questo argomento è stato modificato 1 anno, 2 mesi fa da. Questo argomento è stato modificato 1 anno, 2 mesi fa da.

(@sukafia)

1 anno, 2 mesi fa

Ciao,

Ci scusiamo per la domanda che hai.

Prova questo:

1. Disabilita tutti i tuoi plugin e riprova per vedere se il problema persiste. 1b. Se il problema persiste, riattiva i plug-in uno per uno, testando dopo ogni riattivazione per trovare il colpevole.

Se 1 / 1.b non lo risolve, passa a 2.

2. Passa a uno dei venti * temi predefiniti (venti, ecc.) E prova di nuovo per vedere se il problema è stato risolto. Se la domanda esiste ancora, prova 1b. con il tema predefinito venti * attivo.

Se si dispone di un sito attivo e non si desidera che la risoluzione dei problemi influisca sulla parte anteriore del sito, è possibile utilizzare il plug-in per il controllo dello stato. Ti consente di disattivare temi / plugin solo per te senza influire sugli utenti del tuo sito. Basta installare il plug-in, trovarlo nell’elenco dei plug-in e fare clic su risoluzione dei problemi proprio sotto il nome del plug-in.

Fammi sapere cosa trovi. Saluti!

Lanciatore di thread

(@ nofish2)

1 anno, 2 mesi fa

Ciao,

Il plug-in per il controllo dello stato era una buona parola chiave (non lo ignoravo, abbastanza nuovo per WordPress / web design.)

Quindi l’ho installato e ha mostrato:

“L’API REST non ha elaborato correttamente il parametro della query di contesto.”

Googling questo mi ha portato lì.

Se installo l’Editor classico posso pubblicare e modificare tutto il giorno.

Questo non risolve il problema reale ma lo farà per me ora, quindi grazie!

Btw. mentre camminavo, ho scoperto che più persone sembrano avere questa domanda:
https://wordpress.org/support/topic/updating-failed-error-message-the-response-is-not-a-valid-json-response-2/

(@sukafia)

1 anno, 2 mesi fa

Sono contento che abbia aiutato. Esaminerò l’errore sopra e ti fornirò un feedback. Saluti!

(@makeupedia)

10 mesi fa

Ricevo anche l’errore “L’API REST non ha elaborato correttamente il parametro della query di contesto”. e l’editor classico non mi ha aiutato.

Una volta installato il tema principale (fichetenty), l’errore è scomparso. Ho ricreato i temi per bambini ventidue volte di troppo adesso, non vedo perché il tema per bambini confonde le cose. Forse dovrei chiederlo in un nuovo thread?

Grazie per qualsiasi aiuto!

(@elzede)

9 mesi, 2 settimane fa

Ho avuto anche questo maledetto problema.
Si verifica quando le immagini vengono inserite all’interno o all’esterno di una galleria
Ho fatto qualche ricerca in più e ho aperto la console Javascript (Safari)
per ottenere questo colpevole:
https://www.elzede.net/elzede_com/wp-includes/js/dist/vendor/wp-polyfill.min.js? ver = 7.4.4
Path = post.php> wp-polyfill.min.js> riga 6446
Fonte del codice: var e = this;
Messaggio di errore
21 Rifiuto di impegni non consegnati: {object Object}
21 Negazione dell’impegno non manuale: errore di sintassi: la stringa non corrisponde al modello previsto

Quindi tra l’altro vedo vagamente dove sia il problema ma non posso andare oltre (traccia il valore del filo, ecc.).

Ma spero che la mia modesta indagine possa aiutare a sbarazzarsi di questa piaga….

Grazie per il tuo ritorno

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *